Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988 - current_date broken
Summary: current_date broken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postgresql
Version: 5.2
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-28 17:08 UTC by pablo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-29 17:36:24 UTC


Attachments (Terms of Use)

Description pablo 1999-01-28 17:08:08 UTC
psql -c "select current_date from dual;" (where
dual is some existing table of course..) works fine
in RH5.1/i386 but in RH5.2/Alpha it reports odd dates.
(not tried on RH5.2/i386's postgresql but I bet this
is some axp/64-bit problem.)

Comment 1 David Lawrence 1999-04-06 21:26:59 UTC
I have verified this to be true on a standard 5.2 install to a PC164LX
alpha.

psql -d test -c "select current_date from foo";
psql -d test -c "select current_time from foo";

Both lines print strange dates and times.

Comment 2 Jeff Johnson 1999-04-17 17:27:59 UTC
postgresql-6.4.2 (and 6.5.0beta1) are broken on alpha and have
been removed from the Red Hat 6.0 distribution. We will distribute
a version of postgresql for alpha as soon as we can find one that
works.

Comment 3 Jay Turner 1999-06-29 17:36:59 UTC
postgresql-6.5.1.beta1 is available in Rawhide-1.4.1 on the rawhide
ftp site.


Note You need to log in before you can comment on or make changes to this bug.